From e5a6d257e32aff9e461b55b45a74f8157e331c5e Mon Sep 17 00:00:00 2001
From: Omair Majid <omajid@redhat.com>
Date: Dec 07 2018 19:24:31 +0000
Subject: Update to .NET Core 2.2.0


---

diff --git a/copr-build b/copr-build
index a511135..6d431dc 100755
--- a/copr-build
+++ b/copr-build
@@ -8,4 +8,4 @@ fedpkg srpm 2>&1 | tee fedpkg.output
 
 srpm_name=$(grep 'Wrote: ' fedpkg.output | cut -d' ' -f 2)
 
-copr-cli build @dotnet-sig/dotnet-preview "${srpm_name}"
+copr-cli build @dotnet-sig/dotnet "${srpm_name}"
diff --git a/dotnet.spec b/dotnet.spec
index bb5f8a6..9e929c4 100644
--- a/dotnet.spec
+++ b/dotnet.spec
@@ -19,37 +19,36 @@
 %global dotnet_ldflags %(echo %{__global_ldflags} | sed -re 's/-specs=[^ ]*//g')
 
 %global host_version 2.2.0
-%global host_rpm_version 2.2.0
-%global sdk_version 2.2.100-preview3-009430
-%global sdk_rpm_version 2.2.0
-%global runtime_version 2.2.0-preview3-27014-02
-%global runtime_rpm_version 2.2.0
+%global sdk_version 2.2.100
+%global runtime_version 2.2.0
 
 Name:           dotnet
-Version:        %{sdk_rpm_version}
-Release:        0.2.preview3%{?dist}
+Version:        %{sdk_version}
+Release:        1%{?dist}
 Summary:        .NET Core CLI tools and runtime
 License:        MIT and ASL 2.0 and BSD
 URL:            https://github.com/dotnet/
 
 # The source is generated on a Fedora box via:
 # - git clone https://github.com/dotnet/source-build
-# - git checkout v%%{sdk_version}
-# - set environment variables + tweak sources to build
+# - git checkout v%%{runtime_version}
+# - (optional: set environment variables + tweak sources to build)
 # - ./build-source-tarball.sh dotnet-%%{sdk_version}
-# - tar cvzf dotnet-%%{sdk_version}.tar.gz dotnet-%%{sdk_version}
+# - tar cvzf dotnet-%%{runtime_version}.tar.gz dotnet-%%{runtime_version}
 
-Source0:        dotnet-%{runtime_rpm_version}-preview3.tar.gz
+Source0:        dotnet-v%{runtime_version}.tar.gz
 Source1:        check-debug-symbols.py
 Source2:        dotnet.sh
 
 Patch1:         corefx-optflags-support.patch
+
 Patch2:         cli-telemetry-optout.patch
 
 ExclusiveArch:  x86_64
 
 BuildRequires:  clang
 BuildRequires:  cmake
+BuildRequires:  glibc-langpack-en
 BuildRequires:  git
 BuildRequires:  hostname
 BuildRequires:  krb5-devel
@@ -69,7 +68,7 @@ BuildRequires:  compat-openssl10-devel
 BuildRequires:  openssl-devel
 %endif
 
-Requires:       %{name}-sdk-2.2%{?_isa}
+Requires:       %{name}-sdk-2.2%{?_isa} >= %{sdk_version}-%{release}
 
 %description
 .NET Core is a fast, lightweight and modular platform for creating
@@ -84,7 +83,7 @@ application to drive everything.
 
 %package host
 
-Version:        %{host_rpm_version}
+Version:        %{host_version}
 Summary:        .NET command line launcher
 
 %description host
@@ -99,11 +98,12 @@ applications and micro-services.
 
 %package host-fxr-2.2
 
-Version:        %{host_rpm_version}
+Version:        %{host_version}
 Summary:        .NET Core command line host resolver
 
-# Theoretically any version of the host should work
-Requires:       %{name}-host%{?_isa}
+# Theoretically any version of the host should work. But lets aim for the one
+# provided by this package, or from a newer version of .NET Core
+Requires:       %{name}-host%{?_isa} >= %{host_version}-%{release}
 
 %description host-fxr-2.2
 The .NET Core host resolver contains the logic to resolve and select
@@ -117,10 +117,10 @@ applications and micro-services.
 
 %package runtime-2.2
 
-Version:        %{runtime_rpm_version}
+Version:        %{runtime_version}
 Summary:        NET Core 2.2 runtime
 
-Requires:       %{name}-host-fxr-2.2%{?_isa}
+Requires:       %{name}-host-fxr-2.2%{?_isa} >= %{host_version}-%{release}
 
 # libicu is dlopen()ed
 Requires:       libicu
@@ -139,10 +139,10 @@ applications and micro-services.
 
 %package sdk-2.2
 
-Version:        %{sdk_rpm_version}
+Version:        %{sdk_version}
 Summary:        .NET Core 2.2 Software Development Kit
 
-Requires:       %{name}-sdk-2.2.1xx%{?_isa}
+Requires:       %{name}-sdk-2.2.1xx%{?_isa} >= %{sdk_version}-%{release}
 
 %description sdk-2.2
 The .NET Core SDK is a collection of command line applications to
@@ -156,10 +156,10 @@ applications and micro-services.
 
 %package sdk-2.2.1xx
 
-Version:        %{sdk_rpm_version}
-Summary:        .NET Core 2.2.4xx Software Development Kit
+Version:        %{sdk_version}
+Summary:        .NET Core 2.2.1xx Software Development Kit
 
-Requires:       %{name}-runtime-2.2%{?_isa}
+Requires:       %{name}-runtime-2.2%{?_isa} >= %{runtime_version}-%{release}
 
 %description sdk-2.2.1xx
 The .NET Core SDK is a collection of command line applications to
@@ -172,7 +172,7 @@ It particularly focuses on creating console applications, web
 applications and micro-services.
 
 %prep
-%setup -q -n %{name}-%{runtime_rpm_version}-preview3
+%setup -q -n %{name}-v%{runtime_version}
 
 # Fix bad hardcoded path in build
 sed -i 's|/usr/share/dotnet|%{_libdir}/%{name}|' src/core-setup/src/corehost/common/pal.unix.cpp
@@ -239,6 +239,7 @@ echo "Testing build results for debug symbols..."
 %dir %{_libdir}/%{name}
 %{_libdir}/%{name}/dotnet
 %dir %{_libdir}/%{name}/host
+%dir %{_libdir}/%{name}/host/fxr
 %{_bindir}/dotnet
 %license %{_libdir}/%{name}/LICENSE.txt
 %license %{_libdir}/%{name}/ThirdPartyNotices.txt
@@ -249,7 +250,8 @@ echo "Testing build results for debug symbols..."
 %{_datadir}/bash-completion/completions/dotnet
 
 %files host-fxr-2.2
-%{_libdir}/%{name}/host/fxr
+%dir %{_libdir}/%{name}/host/fxr
+%{_libdir}/%{name}/host/fxr/%{host_version}
 
 %files runtime-2.2
 %dir %{_libdir}/%{name}/shared
@@ -264,6 +266,9 @@ echo "Testing build results for debug symbols..."
 %{_libdir}/%{name}/sdk/%{sdk_version}
 
 %changelog
+* Fri Dec 07 2018 Omair Majid <omajid@redhat.com> - 2.2.100
+- Update to .NET Core 2.2.0
+
 * Wed Nov 07 2018 Omair Majid <omajid@redhat.com> - 2.2.100-0.2.preview3
 - Update to .NET Core 2.2.0-preview3
 

